.heading {
    &_primary {
        margin-bottom: 6rem;

        color: $color-heading-primary;
        text-transform: uppercase;

        backface-visibility: hidden;
    }

    &_secondary {
        display: inline-block;

        font-size: 3.5rem;
        text-transform: uppercase;
        font-weight: 700;
        letter-spacing: .2rem;
        color: transparent;

        background-image: linear-gradient(to right, $color-primary-light, $color-primary-dark);
        background-clip: text;

        transition: transform .2s;

        &:hover {
            transform: skewY(2deg) skewX(15deg) scale(1.1);
            text-shadow: .5rem 1rem 2rem rgba($color-black, .2);
        }

        @include respond-to('tablet-portrait') {
            font-size: 3rem;
        }

        @include respond-to('mobile') {
            font-size: 2.5rem;
        }
    }

    &_tertiary {
        text-transform: uppercase;
        font-weight: 700;
    }

    &__title {
        display: block;

        font-size: 6rem;
        font-weight: 400;
        letter-spacing: 3.5rem;

        animation: moveInLeft 1s ease-in;

        @include respond-to('mobile') {
            font-size: 5rem;
            letter-spacing: 1rem;
        }
    }

    &__subtitle {
        display: block;

        font-size: 2rem;
        font-weight: 700;
        letter-spacing: 1.75rem;

        animation: moveInRight 1s ease-in;

        @include respond-to('mobile') {
            letter-spacing: .5rem;
        }
    }
}
